http://backup.{region}.amazonaws.com/legal-holds/{legalHoldId}/recovery-pointsThis action returns recovery point ARNs (Amazon Resource Names) of the specified legal hold.
This is the ID of the legal hold.
This is the next item following a partial list of returned resources. For example, if a request is made to return <code>maxResults</code> number of resources, <code>NextToken</code> allows you to return more items in your list starting at the location pointed to by the next token.
This is the maximum number of resource list items to be returned.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://backup.{region}.amazonaws.com/legal-holds/{legalHoldId}/recovery-points' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://backup.{region}.amazonaws.com/legal-holds/{legalHoldId}/recovery-pointsThis action returns recovery point ARNs (Amazon Resource Names) of the specified legal hold.
This is the ID of the legal hold.
This is the next item following a partial list of returned resources. For example, if a request is made to return <code>maxResults</code> number of resources, <code>NextToken</code> allows you to return more items in your list starting at the location pointed to by the next token.
This is the maximum number of resource list items to be returned.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://backup.{region}.amazonaws.com/legal-holds/{legalHoldId}/recovery-points' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}